{"openapi":"3.0.0","info":{"version":"0.0.1","title":"10X Course","contact":{"email":"yasar@blackdart.in"}},"tags":[{"name":"Country Management","description":"Operations about Country"},{"name":"Company Management","description":"Operations about Company"},{"name":"Course Management","description":"Operations about Course"},{"name":"CourseReview Management","description":"Operations about Course Review"},{"name":"CourseTopic Management","description":"Operations about Course Topics"},{"name":"CourseUser Management","description":"Operations about Course User"},{"name":"Currency Management","description":"Operations about Currency"},{"name":"Designation Management","description":"Operations about Designation"},{"name":"Payment Management","description":"Operations about Payment"},{"name":"Tag Management","description":"Operations about Tag"},{"name":"Language Management","description":"Operations about Language"},{"name":"User Management","description":"Operations about User"}],"paths":{"/api/booking/v1/country/add":{"post":{"tags":["Country Management"],"operationId":"addCountry","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCountryRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CountryResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/country/remove":{"post":{"tags":["Country Management"],"operationId":"RemoveCountry","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"country_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/country/update":{"post":{"tags":["Country Management"],"operationId":"updateCountry","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCountryRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountryResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/country/get":{"get":{"tags":["Country Management"],"operationId":"getCountry","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"country_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountryResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/country/search":{"get":{"tags":["Country Management"],"operationId":"searchCountry","parameters":[{"in":"header","name":"session_token","schema":{"type":"string"}},{"in":"query","name":"country_id","schema":{"type":"string"}},{"in":"query","name":"name","schema":{"type":"string"}},{"in":"query","name":"active","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountryListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/company/search":{"get":{"tags":["Company Management"],"operationId":"searchCompany","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CompanyListResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/currency/add":{"post":{"tags":["Currency Management"],"operationId":"addCurrency","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCurrencyRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CurrencyResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/currency/remove":{"post":{"tags":["Currency Management"],"operationId":"RemoveCurrency","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"currency_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/currency/update":{"post":{"tags":["Currency Management"],"operationId":"updateCurrency","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCurrencyRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/currency/get":{"get":{"tags":["Currency Management"],"operationId":"getCurrency","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"currency_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/currency/search":{"get":{"tags":["Currency Management"],"operationId":"searchCurrency","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"currency_id","required":true,"schema":{"type":"string"}},{"in":"query","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"active","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/add":{"post":{"tags":["Course Management"],"operationId":"addCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCourseRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CourseResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/remove":{"post":{"tags":["Course Management"],"operationId":"RemoveCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/update":{"post":{"tags":["Course Management"],"operationId":"updateCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCourseRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/get":{"get":{"tags":["Course Management"],"operationId":"getCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/search":{"get":{"tags":["Course Management"],"operationId":"searchCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"active","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/review/add":{"post":{"tags":["CourseReview Management"],"operationId":"addCourseReview","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCourseReviewRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CourseReviewResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/review/remove":{"post":{"tags":["CourseReview Management"],"operationId":"RemoveCourseReview","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/review/update":{"post":{"tags":["CourseReview Management"],"operationId":"updateCourseReview","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCourseReviewRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseReviewResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/review/get":{"get":{"tags":["CourseReview Management"],"operationId":"getCourseReview","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_review_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseReviewResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/review/search":{"get":{"tags":["CourseReview Management"],"operationId":"searchCourseReview","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseReviewListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/topics/add":{"post":{"tags":["CourseTopic Management"],"operationId":"addCourseTopic","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddCourseTopicRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/CourseTopicResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/topics/remove":{"post":{"tags":["CourseTopic Management"],"operationId":"RemoveCourseTopic","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/topics/update":{"post":{"tags":["CourseTopic Management"],"operationId":"updateCourseTopic","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCourseTopicRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseTopicResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/topics/get":{"get":{"tags":["CourseTopic Management"],"operationId":"getCourseTopic","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_topic_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseTopicResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/topics/search":{"get":{"tags":["CourseTopic Management"],"operationId":"searchCourseTopic","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}},{"in":"query","name":"active","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseTopicListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/users/get":{"get":{"tags":["CourseUser Management"],"operationId":"getCourseUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_user_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseUserResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/course/users/search":{"get":{"tags":["CourseUser Management"],"operationId":"searchCourseUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}},{"in":"query","name":"user_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseUserListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/designation/search":{"get":{"tags":["Designation Management"],"operationId":"searchDesignation","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/DesignationListResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/payment/purchase":{"post":{"tags":["Payment Management"],"operationId":"purchaseCourse","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseCourseRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/PurchaseCourseResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/payment/verify":{"post":{"tags":["Payment Management"],"operationId":"VerifyPaymentOrder","parameters":[{"in":"header","name":"x-access-token","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyPaymentOrderRequest"}}},"required":true},"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyPaymentOrderResponse"}}}},"400":{"description":"400 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"500 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/payment/get":{"get":{"tags":["Payment Management"],"operationId":"getPayment","parameters":[{"in":"header","name":"x-access-token","schema":{"type":"string"}},{"in":"query","name":"payment_id","schema":{"type":"number"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResponse"}}}},"400":{"description":"400 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"500 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/payment/search":{"get":{"tags":["Payment Management"],"operationId":"searchPaymentTransaction","parameters":[{"in":"header","name":"x-access-token","schema":{"type":"string"}},{"in":"query","name":"status","schema":{"type":"number"}},{"in":"query","name":"name","schema":{"type":"number"}},{"in":"query","name":"mobile_number","schema":{"type":"number"}},{"in":"query","name":"items_per_page","schema":{"type":"number"}},{"in":"query","name":"page_number","schema":{"type":"number"}},{"in":"query","name":"date_from","schema":{"type":"string","format":"date"}},{"in":"query","name":"date_to","schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentListResponse"}}}},"400":{"description":"400 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}},"500":{"description":"500 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/application/v1/tag/add":{"post":{"tags":["Tag Management"],"operationId":"addTag","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddTagRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/application/v1/tag/update":{"post":{"tags":["Tag Management"],"operationId":"updateTag","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTagRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/application/v1/tag/get":{"get":{"tags":["Tag Management"],"operationId":"getTag","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"Tag_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/application/v1/tag/search":{"get":{"tags":["Tag Management"],"operationId":"searchTag","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"name","schema":{"type":"string"}},{"in":"query","name":"tag_category","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/user/on-board":{"post":{"tags":["User Management"],"operationId":"onBoardUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnBoardUserRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"500":{"description":"Server Error","content":{"application/jsona":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/user/update":{"post":{"tags":["User Management"],"operationId":"updateUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}},"required":true},"responses":{"200":{"description":"User Creation Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/user/get":{"get":{"tags":["User Management"],"operationId":"getUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"course_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}},"/api/booking/v1/user/search":{"get":{"tags":["User Management"],"operationId":"searchUser","parameters":[{"in":"header","name":"session_token","required":true,"schema":{"type":"string"}},{"in":"query","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"active","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserListResponse"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}}}}}}},"externalDocs":{"description":"Find out more","url":"http://yasar.blackdart.in"},"servers":[{"url":"http://ec2-65-0-14-58.ap-south-1.compute.amazonaws.com:7000"}],"components":{"schemas":{"Country":{"type":"object","properties":{"country_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"image_url":{"type":"string"},"short_code":{"type":"string"},"country_code":{"type":"string"},"nationality":{"type":"string"},"cell_country_code":{"type":"string"},"active":{"type":"boolean"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string","format":"uuid"}}},"AddCountryRequest":{"type":"object","properties":{"name":{"type":"string"},"image_url":{"type":"string"},"short_code":{"type":"string"},"country_code":{"type":"string"},"nationality":{"type":"string"},"cell_country_code":{"type":"string"}}},"UpdateCountryRequest":{"type":"object","properties":{"country_id":{"type":"string","format":"uuid"},"image_url":{"type":"string"},"short_code":{"type":"string"},"country_code":{"type":"string"},"nationality":{"type":"string"},"cell_country_code":{"type":"string"},"active":{"type":"boolean"}}},"CountryResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"country":{"$ref":"#/components/schemas/Country"}}},"CountryListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"countries":{"type":"array","items":{"$ref":"#/components/schemas/Country"}}}},"CompanyListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"companies":{"type":"array","items":{"type":"string"}}}},"DesignationListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"designations":{"type":"array","items":{"type":"string"}}}},"Currency":{"type":"object","properties":{"currency_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"image_url":{"type":"string"},"short_code":{"type":"string"},"active":{"type":"boolean"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string","format":"uuid"}}},"AddCurrencyRequest":{"type":"object","properties":{"name":{"type":"string"},"image_url":{"type":"string"},"short_code":{"type":"string"}}},"UpdateCurrencyRequest":{"type":"object","properties":{"currency_id":{"type":"string","format":"uuid"},"image_url":{"type":"string"},"short_code":{"type":"string"},"active":{"type":"boolean"}}},"CurrencyResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"currency":{"$ref":"#/components/schemas/Currency"}}},"CurrencyListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"currencies":{"type":"array","items":{"$ref":"#/components/schemas/Currency"}}}},"Course":{"allOf":[{"$ref":"#/components/schemas/DefaultObject"}],"properties":{"course_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"price":{"type":"number"},"currency_id":{"type":"string","format":"uuid"},"language_id":{"type":"string","format":"uuid"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"active":{"type":"boolean"}}},"AddCourseRequest":{"type":"object","properties":{"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"price":{"type":"number"},"currency_id":{"type":"string","format":"uuid"},"language_id":{"type":"string","format":"uuid"},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"active":{"type":"boolean"}}},"UpdateCourseRequest":{"type":"object","properties":{"course_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"price":{"type":"number"},"currency_id":{"type":"string","format":"uuid"},"language_id":{"type":"string","format":"uuid"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"active":{"type":"boolean"}}},"CourseResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course":{"$ref":"#/components/schemas/Course"}}},"CourseListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"courses":{"type":"array","items":{"$ref":"#/components/schemas/Course"}}}},"CourseReview":{"allOf":[{"$ref":"#/components/schemas/DefaultObject"}],"properties":{"course_review_id":{"type":"string","format":"uuid"},"course_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"},"rating":{"type":"number"},"comment":{"type":"string"}}},"AddCourseReviewRequest":{"type":"object","properties":{"course_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"},"rating":{"type":"number"},"comment":{"type":"string"}}},"UpdateCourseReviewRequest":{"type":"object","properties":{"course_review_id":{"type":"string","format":"uuid"},"course_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"},"rating":{"type":"number"},"comment":{"type":"string"}}},"CourseReviewResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_review":{"$ref":"#/components/schemas/CourseReview"}}},"CourseReviewListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_reviews":{"type":"array","items":{"$ref":"#/components/schemas/CourseReview"}}}},"CourseTopic":{"allOf":[{"$ref":"#/components/schemas/DefaultObject"}],"properties":{"course_topic_id":{"type":"string","format":"uuid"},"course_id":{"type":"string","format":"uuid"},"parent_topic_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"videos":{"type":"array","items":{"$ref":"#/components/schemas/VideoItem"}},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"active":{"type":"boolean"}}},"AddCourseTopicRequest":{"type":"object","properties":{"course_id":{"type":"string","format":"uuid"},"parent_topic_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"price":{"type":"number"},"currency_id":{"type":"string","format":"uuid"},"language_id":{"type":"string","format":"uuid"},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"active":{"type":"boolean"}}},"UpdateCourseTopicRequest":{"type":"object","properties":{"course_topic_id":{"type":"string","format":"uuid"},"parent_topic_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"code":{"type":"string"},"description":{"type":"string"},"price":{"type":"number"},"currency_id":{"type":"string","format":"uuid"},"language_id":{"type":"string","format":"uuid"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"active":{"type":"boolean"}}},"CourseTopicResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_topic":{"$ref":"#/components/schemas/CourseTopic"}}},"CourseTopicListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_topics":{"type":"array","items":{"$ref":"#/components/schemas/CourseTopic"}}}},"CourseUser":{"allOf":[{"$ref":"#/components/schemas/DefaultObject"}],"properties":{"course_user_id":{"type":"string","format":"uuid"},"course_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"},"current_topic":{"type":"string","format":"uuid"},"completed_topics":{"type":"array","items":{"type":"string","format":"uuid"}},"last_accessed":{"type":"string","format":"date-time"}}},"CourseUserResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_user":{"$ref":"#/components/schemas/CourseUser"}}},"CourseUserListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_users":{"type":"array","items":{"$ref":"#/components/schemas/CourseUser"}}}},"PurchaseCourseRequest":{"type":"object","properties":{"course_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"}}},"PurchaseCourseResponse":{"type":"object","properties":{"payment_id":{"type":"string"},"order_id":{"type":"string"},"order_value":{"type":"number"}}},"VerifyPaymentOrderRequest":{"type":"object","properties":{"receipt_id":{"type":"string","format":"uuid"},"order_id":{"type":"string"},"payment_id":{"type":"string"},"payment_signature":{"type":"string"}}},"VerifyPaymentOrderResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"course_user":{"$ref":"#/components/schemas/CourseUser"}}},"PaymentStatus":{"type":"string","enum":["APPROVED","PENDING","REJECTED"]},"Payment":{"type":"object","properties":{"payment_id":{"type":"string","format":"uuid"},"user_id":{"type":"string","format":"uuid"},"order_id":{"type":"string","format":"uuid"},"comment":{"type":"string"},"credit_amount":{"type":"number"},"payment_amount":{"type":"number"},"status":{"$ref":"#/components/schemas/PaymentStatus"},"gateway_order_id":{"type":"string"},"gateway_payment_id":{"type":"string"},"gateway_payment_signature":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string","format":"uuid"}}},"PaymentResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"payment":{"$ref":"#/components/schemas/Payment"}}},"PaymentListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"payments":{"type":"array","items":{"$ref":"#/components/schemas/Payment"}}}},"TagCategoryType":{"type":"string","enum":["Social","Industries","Interests","Profession"]},"Tag":{"type":"object","properties":{"tag_id":{"type":"string","format":"uuid"},"tag_category":{"$ref":"#/components/schemas/TagCategoryType"},"name":{"type":"string"},"description":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}}}},"AddTagRequest":{"type":"object","properties":{"tag_category":{"$ref":"#/components/schemas/TagCategoryType"},"name":{"type":"string"},"description":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}}}},"UpdateTagRequest":{"type":"object","properties":{"tag_category":{"$ref":"#/components/schemas/TagCategoryType"},"description":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/ImageItem"}}}},"TagResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"tag":{"$ref":"#/components/schemas/Tag"}}},"TagListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"User":{"allOf":[{"$ref":"#/components/schemas/DefaultObject"}],"properties":{"user_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"experience":{"type":"number"},"language_id":{"type":"string","format":"uuid"},"videos":{"type":"array","items":{"$ref":"#/components/schemas/VideoItem"}},"resumes":{"type":"array","items":{"$ref":"#/components/schemas/ResumeItem"}},"company":{"type":"string"},"designation":{"type":"string"},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}},"active":{"type":"boolean"}}},"OnBoardUserRequest":{"type":"object","properties":{"user_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"experience":{"type":"number"},"language_id":{"type":"string","format":"uuid"},"video":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string"},"format":{"$ref":"#/components/schemas/VideoFormat"},"resolution":{"type":"string"}}},"resume":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string"}}},"company":{"type":"string"},"designation":{"type":"string"},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}}}},"UpdateUserRequest":{"type":"object","properties":{"user_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"experience":{"type":"number"},"language_id":{"type":"string","format":"uuid"},"videos":{"$ref":"#/components/schemas/VideoItem"},"resumes":{"$ref":"#/components/schemas/ResumeItem"},"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"}}}},"UserResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"user":{"$ref":"#/components/schemas/User"}}},"UserListResponse":{"allOf":[{"$ref":"#/components/schemas/ServiceResponse"}],"properties":{"users":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}},"ServiceResponse":{"type":"object","properties":{"status":{"type":"string","enum":["Success","Failed"]},"error":{"type":"string"}}},"ImageItem":{"type":"object","properties":{"name":{"type":"string"},"url":{"type":"string"},"type":{"$ref":"#/components/schemas/ImageType"},"resolution":{"type":"string"}}},"VideoItem":{"type":"object","properties":{"video_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"url":{"type":"string"},"format":{"$ref":"#/components/schemas/VideoFormat"},"resolution":{"type":"string"},"active":{"type":"boolean"}}},"ResumeItem":{"type":"object","properties":{"resume_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"url":{"type":"string"},"added_on":{"type":"string","format":"date-time"},"active":{"type":"boolean"}}},"ImageType":{"type":"string","enum":["Thumbnail","Logo","Image"]},"VideoFormat":{"type":"string","enum":["Avi","mp4"]},"DefaultObject":{"type":"object","properties":{"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string","format":"uuid"}}}}}}